<?php
require("../class/connect.php");
include("../class/db_sql.php");
include("../class/config.php");
include("../class/class.php");
include("../class/functions.php");
include("../class/delpath.php");
include LoadLang("pub/fun.php");
include("../class/copypath.php");
include("../class/t_functions.php");
include("../class/MemberLevel.php");
$link=db_connect();
$empire=new mysqlquery();
$logininid=getcvar('loginuserid');
$loginin=getcvar('loginusername');
$loginrnd=getcvar('loginrnd');
$loginlevel=getcvar('loginlevel');
$enews=$_POST['enews'];
if(empty($enews))
{$enews=$_GET['enews'];}
if($enews=="login")
{}
elseif($enews=="TranFile"||$enews=="TranOtherFile"||$enews=="TranFlash"||$enews=="SaveMoreImg"||$enews=="DoMarkSmallPic"||$enews=="TDelFile_all")
{
	$userid=$_GET['userid'];
	$username=$_GET['username'];
	$rnd=$_GET['rnd'];
	is_login($userid,$username,$rnd);
	$logininid=$userid;
	$loginin=$username;
}
else
{is_login($logininid,$loginin,$loginrnd);}
if($public_r['phpmode']){
	include("../class/ftp.php");
	$incftp=1;
}
//防采集
if($public_r['opennotcj']){
	@include("../class/notcj.php");
}
//会员组
if($enews=="CheckNews_all"){
	@include("../class/user.php");
}
//普通操作
$comenews=',AddZt,EditZt,DelZt,CheckPath,SetEnews,AddClass,EditClass,DelClass,ChangeClassIslast,AddMemberF,EditMemberF,DelMemberF,EditMemberFOrder,AddMemberForm,EditMemberForm,DelMemberForm,AddNews,EditNews,DelNews,DelNews_all,DelInfoDoc_all,DelFile,DelFile_all,TDelFile_all,DelFreeFile,TopNews_all,CheckNews_all,NoCheckNews_all,MoveNews_all,CopyNews_all,DelPl_all,CheckPl_all,EditPltemp,EditGbooktemp,EditCptemp,EditLoginIframe,AddMemberGroup,EditMemberGroup,DelMemberGroup,EditCjNews,DelCjNews,DelCjNews_all,CjNewsIn,CjNewsIn_all,AddBq,EditBq,DelBq,MoveClassNews,EditClassOrder,EditSearchTemp,EditOtherLinkTemp,EditPrintTemp,DelPathFile,AddUserpage,EditUserpage,DelUserpage,GoodInfo_all,DoZtNews_all,SetAllCheckInfo,DoGoodPl_all,AddInfoToReHtml,';
if(strstr($comenews,','.$enews.',')){
	@include("../class/comdofun.php");
}
//模型操作
$modenews=',AddF,EditF,EditSysF,DelF,EditFOrder,AddM,EditM,DelM,CopyNewTable,AddTable,EditTable,DelTable,DefaultTable,';
if(strstr($modenews,','.$enews.',')){
	@include("../class/moddofun.php");
}
//增加专题
if($enews=="AddZt")
{
	AddZt($_POST,$logininid,$loginin);
	}
//修改专题
elseif($enews=="EditZt")
{
	EditZt($_POST,$logininid,$loginin);
}
//删除专题
elseif($enews=="DelZt")
{
	$ztid=$_GET['ztid'];
	DelZt($ztid,$logininid,$loginin);
}
//----------增加类别
elseif($enews=="AddClass")
{
AddClass($_POST,$logininid,$loginin);
}
//修改类别
elseif($enews=="EditClass")
{
EditClass($_POST,$logininid,$loginin);
}
//终极栏目属性转换
elseif($enews=="ChangeClassIslast")
{
	ChangeClassIslast($_POST['reclassid'],$logininid,$loginin);
}
//增加信息
elseif($enews=="AddNews")
{
	$navtheid=(int)$_POST['filepass'];
AddNews($_POST,$logininid,$loginin);
}
//修改信息
elseif($enews=="EditNews")
{
	$navtheid=(int)$_POST['id'];
EditNews($_POST,$logininid,$loginin);
}
//删除信息
elseif($enews=="DelNews")
{
	$id=$_GET['id'];
	$classid=$_GET['classid'];
	$bclassid=$_GET['bclassid'];
DelNews($id,$classid,$logininid,$loginin);
}
//批量删除信息
elseif($enews=="DelNews_all")
{
	$id=$_POST['id'];
	$classid=$_POST['classid'];
	$bclassid=$_POST['bclassid'];
DelNews_all($id,$classid,$logininid,$loginin);
}
//删除栏目
elseif($enews=="DelClass")
{
		$classid=$_GET['classid'];
DelClass($classid,$logininid,$loginin);
}
//登陆
elseif($enews=="login")
{
	$username=$_POST['username'];
	$password=$_POST['password'];
	$key=$_POST['key'];
	$loginin=$username;
login($username,$password,$key,$_POST);
}
//参数设置
elseif($enews=="SetEnews")
{
	SetEnews($_POST,$logininid,$loginin);
}
//修改共同模板
elseif($enews=="EditPublicTemp")
{
	$temptext=$_POST['temptext'];
EditIndextemp($temptext,$logininid,$loginin);
}
//刷新新闻列表
elseif($enews=="ReListHtml")
{
	$classid=$_GET['classid'];
	ReListHtml($classid,0);}
//刷新专题
elseif($enews=="ReZtHtml")
{
	$ztid=$_GET['ztid'];
	ReZtHtml($ztid);}
//刷新所有列表
elseif($enews=="ReListHtml_all")
{
	$start=$_GET['start'];
	$do=$_GET['do'];
	$from=$_GET['from'];
	ReListHtml_all($start,$do,$from);}
//刷新新闻页面
elseif($enews=="ReNewsHtml")
{
	$start=$_GET['start'];
	$classid=$_GET['classid'];
	$from=$_GET['from'];
	$retype=$_GET['retype'];
	$startday=$_GET['startday'];
	$endday=$_GET['endday'];
	$startid=$_GET['startid'];
	$endid=$_GET['endid'];
	$tbname=$_GET['tbname'];
	$havehtml=$_GET['havehtml'];
	ReNewsHtml($start,$classid,$from,$retype,$startday,$endday,$startid,$endid,$tbname,$havehtml);
	}
//刷新热点新闻与最新新闻
elseif($enews=="ReHot_NewNews")
{ReHot_NewNews();}
//刷新所有新闻js
elseif($enews=="ReAllNewsJs")
{
	$start=$_GET['start'];
	$do=$_GET['do'];
	$from=$_GET['from'];
	ReAllNewsJs($start,$do,$from);}
//刷新单个类别js
elseif($enews=="ReSingleJs")
{
$classid=$_GET['classid'];
$doing=$_GET['doing'];
ReSingleJs($classid,$doing);}
//刷新首页
elseif($enews=="ReIndex")
{ReIndex();}
//上传文件
elseif($enews=="TranFile")
{
	$file=$_FILES['file']['tmp_name'];
    $file_name=$_FILES['file']['name'];
    $file_type=$_FILES['file']['type'];
    $file_size=$_FILES['file']['size'];
	$tranurl=$_POST['tranurl'];
	$no=$_POST['no'];
	$classid=$_POST['classid'];
	$type=$_POST['type'];
	TranFile($file,$file_name,$file_type,$file_size,$tranurl,$no,$classid,$type,$_POST,$logininid,$loginin);
}
//删除文件
elseif($enews=="DelFile")
{
	$fileid=$_GET['fileid'];
	DelFile($fileid,$logininid,$loginin);
	}
//批量删除文件
elseif($enews=="DelFile_all"||$enews=="TDelFile_all")
{	
	$fileid=$_POST['fileid'];
	DelFile_all($fileid,$logininid,$loginin);
	}
//新闻置顶
elseif($enews=="TopNews_all")
{
	$bclassid=$_POST['bclassid'];
	$classid=$_POST['classid'];
	$id=$_POST['id'];
	$istop=$_POST['istop'];
	TopNews_all($classid,$id,$istop,$logininid,$loginin);
	}
//审核新闻
elseif($enews=="CheckNews_all")
{
	$bclassid=$_POST['bclassid'];
	$classid=$_POST['classid'];
	$id=$_POST['id'];
	CheckNews_all($classid,$id,$logininid,$loginin);
	}
//取消审核新闻
elseif($enews=="NoCheckNews_all")
{
	$bclassid=$_POST['bclassid'];
	$classid=$_POST['classid'];
	$id=$_POST['id'];
	NoCheckNews_all($classid,$id,$logininid,$loginin);
	}
//移动新闻
elseif($enews=="MoveNews_all")
{
	$bclassid=$_POST['bclassid'];
	$classid=$_POST['classid'];
	$id=$_POST['id'];
	$to_classid=$_POST['to_classid'];
	MoveNews_all($classid,$id,$to_classid,$logininid,$loginin);
	}
//复制新闻
elseif($enews=="CopyNews_all")
{
	$bclassid=$_POST['bclassid'];
	$classid=$_POST['classid'];
	$id=$_POST['id'];
	$to_classid=$_POST['to_classid'];
	CopyNews_all($classid,$id,$to_classid,$logininid,$loginin);
	}
//删除评论
elseif($enews=="DelPl_all")
{
	$plid=$_POST['plid'];
	$id=$_POST['id'];
	$bclassid=$_POST['bclassid'];
	$classid=$_POST['classid'];
	DelPl_all($plid,$id,$bclassid,$classid,$logininid,$loginin);
	}
//审核评论
elseif($enews=="CheckPl_all")
{
	$plid=$_POST['plid'];
	$id=$_POST['id'];
	$bclassid=$_POST['bclassid'];
	$classid=$_POST['classid'];
	CheckPl_all($plid,$id,$bclassid,$classid,$logininid,$loginin);
	}
//设置默认模板
elseif($enews=="DefaultTemplate")
{
	$templateid=$_GET['templateid'];
	DefaultTemplate($templateid,$logininid,$loginin);
	}

//设置默认模板
elseif($enews=="DefaultListtemp")
{
	$tempid=$_GET['tempid'];
	DefaultListtemp($tempid,$logininid,$loginin);
	}
//修改评论列表模板
elseif($enews=="EditPltemp")
{
	$temptext=$_POST[temptext];
	EditPltemp($temptext,$logininid,$loginin);
	}
//修改控制面板模板
elseif($enews=="EditCptemp")
{
	$temptext=$_POST[temptext];
	EditCptemp($temptext,$logininid,$loginin);
}
//修改留言板模板
elseif($enews=="EditGbooktemp")
{
	$temptext=$_POST[temptext];
	EditGbooktemp($temptext,$logininid,$loginin);
}
//修改登陆状态模板
elseif($enews=="EditLoginIframe")
{
	$temptext=$_POST[temptext];
	EditLoginIframe($temptext,$logininid,$loginin);
}
//退出系统
elseif($enews=="exit")
{
	loginout($logininid,$loginin,$loginrnd);
	}
//目录是否存在
elseif($enews=="CheckPath")
{
	$classpath=$_GET['pripath'].$_GET['classpath'];
	CheckPath($classpath);
}
//增加会员组
elseif($enews=="AddMemberGroup")
{
	$add=$_POST;
	AddMemberGroup($add,$logininid,$loginin);
}
//修改会员组
elseif($enews=="EditMemberGroup")
{
	$add=$_POST;
	EditMemberGroup($add,$logininid,$loginin);
}
//删除会员组
elseif($enews=="DelMemberGroup")
{
	$groupid=$_GET['groupid'];
	DelMemberGroup($groupid,$logininid,$loginin);
}
//开始采集
elseif($enews=="CjUrl")
{
	$classid=$_GET[classid];
	$start=$_GET['start'];
	$checkrnd=$_GET['checkrnd'];
	CJUrl($classid,$start,$checkrnd,$logininid,$loginin);
}
//开始采集页面
elseif($enews=="GetNewsInfo")
{
	$classid=$_GET[classid];
	$checkrnd=$_GET[checkrnd];
	$start=$_GET[start];
	GetNewsInfo($classid,$checkrnd,$start,$logininid,$loginin);
}
//修改采集新闻
elseif($enews=="EditCjNews")
{
	$newstext=$_POST[newstext];
	EditCjNews($_POST,$newstext,$logininid,$loginin);
}
//删除采集新闻
elseif($enews=="DelCjNews")
{
	$classid=$_GET[classid];
	$id=$_GET[id];
	DelCjNews($classid,$id,$logininid,$loginin);
}
//批量删除采集新闻
elseif($enews=="DelCjNews_all")
{
	$classid=$_POST[classid];
	$id=$_POST[id];
	DelCjNews_all($classid,$id,$logininid,$loginin);
}
//采集入库
elseif($enews=="CjNewsIn")
{
	$classid=$_POST[classid];
	$id=$_POST[id];
	$checked=$_POST[checked];
	CjNewsIn($classid,$id,$checked,$logininid,$loginin);
}
//采集全部入库
elseif($enews=="CjNewsIn_all")
{
	$classid=$_GET['classid'];
	$checked=$_GET['checked'];
	$start=$_GET['start'];
	CjNewsIn_all($classid,$checked,$start,$logininid,$loginin);
}
//采集列表
elseif($enews=="ViewCjList")
{
	$classid=$_GET[classid];
	ViewCjList($classid,$logininid,$loginin);
}
//输出预览新闻地址
elseif($enews=="ViewCjUrl")
{
	$classid=$_GET[classid];
	$listpage=$_GET[listpage];
	ViewCjUrl($classid,$listpage,$logininid,$loginin);
}
//输入预览新闻文件
elseif($enews=="ViewGetNewsInfo")
{
	$classid=$_GET[classid];
	$newspage=$_GET['newspage'];
	ViewGetNewsInfo($classid,$newspage,$logininid,$loginin);
}
//增加标签
elseif($enews=="AddBq")
{
	$add=$_POST['add'];
	$bqsay=$_POST['bqsay'];
	AddBq($add,$bqsay,$logininid,$loginin);
}
//修改标签
elseif($enews=="EditBq")
{
	$add=$_POST['add'];
	$bqsay=$_POST['bqsay'];
	EditBq($add,$bqsay,$logininid,$loginin);
}
//删除标签
elseif($enews=="DelBq")
{
	$bqid=$_GET['bqid'];
	$cid=$_GET['cid'];
	DelBq($bqid,$cid,$logininid,$loginin);
}
//批量移动新闻
elseif($enews=="MoveClassNews")
{
	$add=$_POST['add'];
	MoveClassNews($add,$logininid,$loginin);
}
//批量上传附件
elseif($enews=="TranMoreFile")
{
	$file=$_FILES['file']['tmp_name'];
    $file_name=$_FILES['file']['name'];
    $file_type=$_FILES['file']['type'];
    $file_size=$_FILES['file']['size'];
	$no=$_POST['no'];
	$type=$_POST['type'];
	TranMoreFile($file,$file_name,$file_type,$file_size,$no,$type,$logininid,$loginin);
}
//批量上传图片
elseif($enews=="SaveMoreImg")
{
	$file=$_FILES['file']['tmp_name'];
    $file_name=$_FILES['file']['name'];
    $file_type=$_FILES['file']['type'];
    $file_size=$_FILES['file']['size'];
	eTranMorePic($file,$file_name,$file_type,$file_size,$_POST,$logininid,$loginin);
}
//批量操作图片
elseif($enews=="DoMarkSmallPic")
{
	DoMarkSmallPic($_POST,$logininid,$loginin);
}
//修改类别顺序
elseif($enews=="EditClassOrder")
{
	$classid=$_POST['classid'];
	$myorder=$_POST['myorder'];
	EditClassOrder($classid,$myorder,$logininid,$loginin);
}
//修改搜索模板
elseif($enews=="EditSearchTemp")
{
	$tempname=$_POST['tempname'];
	$temptext=$_POST['temptext'];
	EditSearchTemp($tempname,$temptext,$logininid,$loginin);
}
//修改相关链接模板
elseif($enews=="EditOtherLinkTemp")
{
	$tempname=$_POST['tempname'];
	$temptext=$_POST['temptext'];
	EditOtherLinkTemp($tempname,$temptext,$logininid,$loginin);
}
//初使化远程发布
elseif($enews=="AddPostUrlData")
{
	$postdata=$_POST['postdata'];
	AddPostUrlData($postdata,$logininid,$loginin);
}
//远程发布
elseif($enews=="PostUrlData")
{
	$start=$_GET['start'];
	$rnd=$_GET['rnd'];
	PostUrlData($start,$rnd,$logininid,$loginin);
}
//更新缓存
elseif($enews=="ChangeEnewsData")
{
	ChangeEnewsData($logininid,$loginin);
}
//修改打模板
elseif($enews=="EditPrintTemp")
{
	$tempname=$_POST['tempname'];
	$temptext=$_POST['temptext'];
	EditPrintTemp($tempname,$temptext,$logininid,$loginin);
}
//增加字段
elseif($enews=="AddF")
{
	$add=$_POST;
	AddF($add,$logininid,$loginin);
}
//修改字段
elseif($enews=="EditF")
{
	$add=$_POST;
	EditF($add,$logininid,$loginin);
}
//修改系统字段
elseif($enews=="EditSysF")
{
	EditSysF($_POST,$logininid,$loginin);
}
//删除字段
elseif($enews=="DelF")
{
	$fid=$_GET['fid'];
	$tid=$_GET['tid'];
	$tbname=$_GET['tbname'];
	DelF($fid,$tid,$tbname,$logininid,$loginin);
}
//修改字段顺序
elseif($enews=="EditFOrder")
{
	$fid=$_POST['fid'];
	$tid=$_POST['tid'];
	$tbname=$_POST['tbname'];
	$myorder=$_POST['myorder'];
	EditFOrder($fid,$myorder,$tid,$tbname,$logininid,$loginin);
}
//增加模型
elseif($enews=="AddM")
{
	$add=$_POST['add'];
	$cname=$_POST['cname'];
	$cchange=$_POST['cchange'];
	$schange=$_POST['schange'];
	$center=$_POST['center'];
	$cqenter=$_POST['cqenter'];
	$menter=$_POST['menter'];
	AddM($add,$cname,$cchange,$schange,$center,$cqenter,$menter,$_POST['listand'],$_POST['ltempf'],$_POST['ptempf'],$_POST['canadd'],$_POST['canedit'],$logininid,$loginin);
}
//修改模型
elseif($enews=="EditM")
{
	$add=$_POST['add'];
	$cname=$_POST['cname'];
	$cchange=$_POST['cchange'];
	$schange=$_POST['schange'];
	$center=$_POST['center'];
	$cqenter=$_POST['cqenter'];
	$menter=$_POST['menter'];
	EditM($add,$cname,$cchange,$schange,$center,$cqenter,$menter,$_POST['listand'],$_POST['ltempf'],$_POST['ptempf'],$_POST['canadd'],$_POST['canedit'],$logininid,$loginin);
}
//删除模型
elseif($enews=="DelM")
{
	$mid=$_GET['mid'];
	$tid=$_GET['tid'];
	$tbname=$_GET['tbname'];
	DelM($mid,$tid,$tbname,$logininid,$loginin);
}
//批量替换字段值
elseif($enews=="DoRepNewstext")
{
	$start=$_POST['start'];
	$oldword=$_POST['oldword'];
	$newword=$_POST['newword'];
	$field=$_POST['field'];
	$classid=$_POST['classid'];
	$tid=$_POST['tid'];
	$tbname=$_POST['tbname'];
	$over=$_POST['over'];
	$dozz=$_POST['dozz'];
	$dotxt=$_POST['dotxt'];
	DoRepNewstext($start,$oldword,$newword,$field,$classid,$tid,$tbname,$over,$dozz,$dotxt,$logininid,$loginin);
}
//删除目录文件
elseif($enews=="DelPathFile")
{
	$filename=$_POST['filename'];
	DelPathFile($filename,$logininid,$loginin);
}
//批量导入类别模板
elseif($enews=="LoadTempInClass")
{
	$path=$_GET['path'];
	$start=$_GET['start'];
	LoadTempInClass($path,$start,$logininid,$loginin);
}
//批量更换类别列表模板
elseif($enews=="ChangeClassListtemp")
{
	$classid=$_POST['classid'];
	$listtempid=$_POST['listtempid'];
	ChangeClassListtemp($classid,$listtempid,$logininid,$loginin);
}
//签发文章
elseif($enews=="DoCheckUser")
{
	DoCheckUser($_POST,$logininid,$loginin);
}
//查看签发内容
elseif($enews=="ViewQfNews")
{
	$id=$_GET['id'];
	$classid=$_GET['classid'];
	ViewQfNews($id,$classid,$logininid,$loginin);
}
//恢复类别目录
elseif($enews=="ReClassPath")
{
	$start=$_GET['start'];
	ReClassPath($start);
}
//更新类别关系
elseif($enews=="ChangeSonclass")
{
	$start=$_GET['start'];
	ChangeSonclass($start,$logininid,$loginin);
}
//新建数据表
elseif($enews=="AddTable")
{
	AddTable($_POST,$logininid,$loginin);
}
//复制数据表
elseif($enews=="CopyNewTable")
{
	CopyNewTable($_POST,$logininid,$loginin);
}
//修改数据表
elseif($enews=="EditTable")
{
	EditTable($_POST,$logininid,$loginin);
}
//删除数据表
elseif($enews=="DelTable")
{
	$tid=$_GET['tid'];
	DelTable($tid,$logininid,$loginin);
}
//默认数据表
elseif($enews=="DefaultTable")
{
	$tid=$_GET['tid'];
	DefaultTable($tid,$logininid,$loginin);
}
//增加自定义页面
elseif($enews=="AddUserpage")
{
	AddUserpage($_POST,$logininid,$loginin);
}
//修改自定义页面
elseif($enews=="EditUserpage")
{
	EditUserpage($_POST,$logininid,$loginin);
}
//删除自定义页面
elseif($enews=="DelUserpage")
{
	$id=$_GET['id'];
	$cid=$_GET['cid'];
	DelUserpage($id,$cid,$logininid,$loginin);
}
//批量刷新自定义页面
elseif($enews=="ReUserpageAll")
{
	ReUserpageAll($_GET['start'],$_GET['from'],$logininid,$loginin);
}
//批量推荐/头条信息
elseif($enews=="GoodInfo_all")
{
	$classid=$_POST['classid'];
	$id=$_POST['id'];
	$isgood=$_POST['isgood'];
	$doing=$_POST['doing'];
	GoodInfo_all($classid,$id,$isgood,$doing,$logininid,$loginin);
}
//初使化刷新多栏目
elseif($enews=="GoReListHtmlMore")
{
	$classid=$_POST['classid'];
	$gore=$_POST['gore'];
	$from=$_POST['from'];
	GoReListHtmlMore($classid,$gore,$from);
}
//初使化刷新多栏目(管理栏目)
elseif($enews=="GoReListHtmlMoreA")
{
	$classid=$_POST['reclassid'];
	$gore=$_POST['gore'];
	$from=$_POST['from'];
	GoReListHtmlMore($classid,$gore,$from);
}
//刷新多栏目
elseif($enews=="ReListHtmlMore")
{
	$start=$_GET['start'];
	$classid=$_GET['classid'];
	$from=$_GET['from'];
	ReListHtmlMore($start,$classid,$from);
}
//刷新多专题
elseif($enews=="ReListZtHtmlMore")
{
	$start=$_GET['start'];
	$classid=$_GET['classid'];
	$from=$_GET['from'];
	ReListZtHtmlMore($start,$classid,$from);
}
//删除类别缓存文件
elseif($enews=="DelFcListClass")
{
	DelFcListClass();
}
//删除信息页面
elseif($enews=="DelInfoData")
{
	$start=$_GET['start'];
	$classid=$_GET['classid'];
	$from=$_GET['from'];
	$retype=$_GET['retype'];
	$startday=$_GET['startday'];
	$endday=$_GET['endday'];
	$startid=$_GET['startid'];
	$endid=$_GET['endid'];
	$tbname=$_GET['tbname'];
	DelInfoData($start,$classid,$from,$retype,$startday,$endday,$startid,$endid,$tbname,$logininid,$loginin);
	}
//组合专题
elseif($enews=="TogZt")
{
	TogZt($_POST,$logininid,$loginin);
}
//增加类别
elseif($enews=="AddTempvarClass"||$enews=="AddPageClass"||$enews=="AddBqtempClass"||$enews=="AddListtempClass"||$enews=="AddNewstempClass"||$enews=="AddSearchtempClass"||$enews=="AddBqClass"||$enews=="AddJsTempClass"||$enews=="AddZtClass"||$enews=="AddLinkClass"||$enews=="AddClassTempClass")
{
	$add=$_POST;
	AddThisClass($add,$logininid,$loginin);
}
//修改类别
elseif($enews=="EditTempvarClass"||$enews=="EditPageClass"||$enews=="EditBqtempClass"||$enews=="EditListtempClass"||$enews=="EditNewstempClass"||$enews=="EditSearchtempClass"||$enews=="EditBqClass"||$enews=="EditJsTempClass"||$enews=="EditZtClass"||$enews=="EditLinkClass"||$enews=="EditClassTempClass")
{
	$add=$_POST;
	EditThisClass($add,$logininid,$loginin);
}
//删除类别
elseif($enews=="DelTempvarClass"||$enews=="DelPageClass"||$enews=="DelBqtempClass"||$enews=="DelListtempClass"||$enews=="DelNewstempClass"||$enews=="DelSearchtempClass"||$enews=="DelBqClass"||$enews=="DelJsTempClass"||$enews=="DelZtClass"||$enews=="DelLinkClass"||$enews=="DelClassTempClass")
{
	$classid=$_GET['classid'];
	$doing=$_GET['doing'];
	DelThisClass($classid,$doing,$logininid,$loginin);
}
//导出标签
elseif($enews=="LoadOutBq")
{
	LoadOutBq($_POST,$logininid,$loginin);
}
//批量替换地址权限
elseif($enews=="RepDownLevel")
{
	RepDownLevel($_POST,$logininid,$loginin);
}
//批量更新相关链接
elseif($enews=="ChangeInfoOtherLink")
{
	$start=$_GET['start'];
	$classid=$_GET['classid'];
	$from=$_GET['from'];
	$retype=$_GET['retype'];
	$startday=$_GET['startday'];
	$endday=$_GET['endday'];
	$startid=$_GET['startid'];
	$endid=$_GET['endid'];
	$tbname=$_GET['tbname'];
	ChangeInfoOtherLink($start,$classid,$from,$retype,$startday,$endday,$startid,$endid,$tbname,$logininid,$loginin);
}
//批量刷新自定义JS
elseif($enews=="ReUserjsAll")
{
	$start=$_GET['start'];
	$from=$_GET['from'];
	ReUserjsAll($start,$from,$logininid,$loginin);
}
//批量刷新自定义信息列表
elseif($enews=="ReUserlistAll")
{
	$start=$_GET['start'];
	$from=$_GET['from'];
	ReUserlistAll($start,$from,$logininid,$loginin);
}
//批量转移信息到专题
elseif($enews=="DoZtNews_all")
{
	$classid=$_POST['classid'];
	$id=$_POST['id'];
	$ztid=$_POST['ztid'];
	DoZtNews_all($classid,$id,$ztid,$logininid,$loginin);
}
//本栏目信息全部审核
elseif($enews=="SetAllCheckInfo")
{
	$classid=$_GET['classid'];
	$bclassid=$_GET['bclassid'];
	SetAllCheckInfo($bclassid,$classid,$logininid,$loginin);
}
//清理失效附件
elseif($enews=="DelFreeFile")
{
	DelFreeFile($logininid,$loginin);
}
//批量更新动态页面
elseif($enews=="ReDtPage")
{
	ReDtPage($logininid,$loginin);
}
//归档信息
elseif($enews=="InfoToDoc")
{
	InfoToDoc($_POST,$logininid,$loginin);
}
//删除归档
elseif($enews=="DelInfoDoc_all")
{
	$id=$_POST['id'];
	$classid=$_POST['classid'];
	$bclassid=$_POST['bclassid'];
	DelNews_all($id,$classid,$logininid,$loginin,1);
}
//导入模型
elseif($enews=="LoadInMod")
{
	$file=$_FILES['file']['tmp_name'];
    $file_name=$_FILES['file']['name'];
    $file_type=$_FILES['file']['type'];
    $file_size=$_FILES['file']['size'];
	LoadInMod($_POST,$file,$file_name,$file_type,$file_size,$logininid,$loginin);
}
elseif($enews=='AddMemberF')//增加会员字段
{
	AddMemberF($_POST,$logininid,$loginin);
}
elseif($enews=='EditMemberF')//修改会员字段
{
	EditMemberF($_POST,$logininid,$loginin);
}
elseif($enews=='DelMemberF')//删除会员字段
{
	DelMemberF($_GET,$logininid,$loginin);
}
elseif($enews=='EditMemberFOrder')//修改会员字段顺序
{
	EditMemberFOrder($_POST['fid'],$_POST['myorder'],$logininid,$loginin);
}
elseif($enews=='AddMemberForm')//增加会员表单
{
	AddMemberForm($_POST,$logininid,$loginin);
}
elseif($enews=='EditMemberForm')//修改会员表单
{
	EditMemberForm($_POST,$logininid,$loginin);
}
elseif($enews=='DelMemberForm')//删除会员表单
{
	DelMemberForm($_GET,$logininid,$loginin);
}
elseif($enews=='DoGoodPl_all')//推荐评论
{
	$plid=$_POST['plid'];
	$id=$_POST['id'];
	$bclassid=$_POST['bclassid'];
	$classid=$_POST['classid'];
	$isgood=$_POST['isgood'];
	DoGoodPl_all($plid,$id,$bclassid,$classid,$isgood,$logininid,$loginin);
}
elseif($enews=='AddInfoToReHtml')//刷新页面
{
	AddInfoToReHtml($_GET['classid'],$_GET['dore']);
}
else
{printerror("ErrorUrl","history.go(-1)");}
db_close();
$empire=null;
?>